package config

import (
	"os"
)

// Config contains all needed configurations
type Config struct {
	DatabaseConnection string
}

// LoadConfig from path
func LoadConfig() (*Config, error) {
	configuration := Config{
		DatabaseConnection: os.Getenv("BUDGETEER_DB"),
	}

	return &configuration, nil
}
